# vim:ft=make
.PHONY: all clean dist-clean

TEXENGINE ?= latexmk --pdf

SOURCES = $(wildcard *.tex)
OBJECTS = $(patsubst %.tex,%.pdf,$(SOURCES))

all: $(OBJECTS)

dist: all clean

$(OBJECTS): %.pdf: %.tex
	$(TEXENGINE) $^

dist-clean: clean
	@rm -vf *.pdf *.eps *.dvi *.ps

clean:
	@rm -vf *.dat *.log *.out *.aux *.nav *.snm *.toc *.vrb *~ *.fls *.fdb_latexmk *-blx.bib *.bbl *.blg *.run.xml
